Subject: RE: [mobile-ip] I-D ACTION:draft-mccann-mobileip-80211fh-01.txt

From: [email-masked]
Date: Wed, 13 Nov 2002 15:35:10 -0600

> > => BUs are not designed to redirect traffic from
> > one address to another ??? If you really think so
> > then this is a comment on MIPv6 in general.
> >
> 
> They are not designed to change routing unless the address 
> actually does change.
> What is happening is that the link suddenly goes away and the 
> host appears on another one. The address _does not change_ if 
> the PCoA is being used.

But in the scenario that you are describing, the MN continues to
see the same prefix that it did on the previous link. In which case
both links are advertising the same prefix and hence the MN
does not need to reconfigure a new CoA as its pCoA is still valid
and the MN does not need to do any BU. So I am missing the point...
> 
> A BU is only used when an address change is required.
>

---

From: "James Kempf" <[email-masked]>
Date: Wed, 13 Nov 2002 14:06:23 -0800

> and the MN does not need to do any BU. So I am missing the point...

The point I am making is that in the 802.11 and similar cases, the link is
changed before the NCoA is even configured. In the anticipated case, the NCoA is
configured, but it is not usable until the MN has completed RO. The MN isn't
signaling a change in address when it wants the tunnel to start. It is signaling
that it has detected a change in link, and it wants the NAR to fix the routing
to PCoA until it has time to change to the NCoA. It is exactly analogous to ICMP
Redirect, except the MN is the network element that has discovered the switch in
routers, not the router. A BU would be semantically appropriate when the NCoA is
actually usable, that is, after the NCoA has been configured and RO has
completed.

Make sense?

            jak